AliasedTupleSubsetResultTransformer (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transform
Class AliasedTupleSubsetResultTransformer

    java.lang.Object
      org.hibernate.transform.BasicTransformerAdapter
          org.hibernate.transform.AliasedTupleSubsetResultTransformer

All Implemented Interfaces:
  Serializable, ResultTransformer, TupleSubsetResultTransformer

Direct Known Subclasses:
  AliasToBeanResultTransformer, AliasToEntityMapResultTransformer

    public abstract class AliasedTupleSubsetResultTransformer

extends BasicTransformerAdapter
implements TupleSubsetResultTransformer

An implementation of TupleSubsetResultTransformer that ignores a tuple element if its corresponding alias is null.

See Also:
  Serialized Form

Constructor Summary
`AliasedTupleSubsetResultTransformer()`

Method Summary
`boolean[]` | `includeInTransform(String[] aliases, int tupleLength)` Returns an array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.

Methods inherited from class org.hibernate.transform.BasicTransformerAdapter
`transformList, transformTuple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.transform.TupleSubsetResultTransformer
`isTransformedValueATupleElement`

Methods inherited from interface org.hibernate.transform.ResultTransformer
`transformList, transformTuple`

Constructor Detail

### AliasedTupleSubsetResultTransformer

    public AliasedTupleSubsetResultTransformer()

Method Detail

### includeInTransform

    public boolean[] includeInTransform(String[] aliases,
                                        int tupleLength)

  Returns an array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.

  Specified by:
    `includeInTransform` in interface `TupleSubsetResultTransformer`
  Parameters:
    `aliases` - - the aliases that correspond to the tuple
    `tupleLength` - - the number of elements in the tuple
  Returns:
    array with the i-th element indicating whether the i-th element of the tuple is included in the transformed value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.